<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
	<xsd:complexType name="BUSTYPE">
		<xsd:complexContent>
			<xsd:extension base="PDU_OBJECT">
				<xsd:sequence>
					<xsd:element name="COMPARAM_REF" minOccurs="0" maxOccurs="unbounded" type="COMPARAM_REF"/>
				</xsd:sequence>
				<xsd:attribute name="EID" use="required" type="xsd:ID"/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="CABLE">
		<xsd:complexContent>
			<xsd:extension base="PDU_OBJECT">
				<xsd:sequence>
					<xsd:element name="CABLE_IDENTIFICATION" minOccurs="1" maxOccurs="1" type="CABLE_IDENTIFICATION"/>
					<xsd:element name="MAPPING" minOccurs="1" maxOccurs="unbounded" type="MAPPING"/>
					<xsd:element name="DLCTYPE" minOccurs="1" maxOccurs="1">
						<xsd:complexType>
							<xsd:attribute name="IDREF" type="xsd:IDREF" />
						</xsd:complexType>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="CABLE_DESCRIPTION_FILE">
		<xsd:attribute name="URI" use="required" type="xsd:anyURI"/>
	</xsd:complexType>
	<xsd:complexType name="CABLE_ID_PIN">
		<xsd:sequence>
			<xsd:element name="PIN_ON_MODULE" minOccurs="1" maxOccurs="1" type="xsd:unsignedInt"/>
			<xsd:element name="RESISTANCE_TO_GROUND" minOccurs="1" maxOccurs="1" type="xsd:unsignedInt"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="CABLE_IDENTIFICATION">
		<xsd:sequence>
			<xsd:element name="CABLE_ID" minOccurs="1" maxOccurs="1" type="xsd:unsignedInt"/>
			<xsd:element name="CABLE_ID_PIN" minOccurs="0" maxOccurs="unbounded" type="CABLE_ID_PIN"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="COMPARAM">
		<xsd:complexContent>
			<xsd:extension base="PDU_OBJECT">
				<xsd:sequence>
					<xsd:element name="DATA_TYPE" minOccurs="1" maxOccurs="1" type="ComParamDataType"/>
					<xsd:element name="DEFAULT_VALUE" minOccurs="1" maxOccurs="1" type="xsd:string"/>
					<xsd:element name="CLASS" minOccurs="1" maxOccurs="1" type="ComParamClassType"/>
					<xsd:element name="LAYER" minOccurs="1" maxOccurs="1" type="LayerType"/>
					<xsd:element name="RESOLUTION" minOccurs="0" maxOccurs="1" type="xsd:string"/>
					<xsd:element name="MIN_VALUE" minOccurs="0" maxOccurs="1" type="xsd:string"/>
					<xsd:element name="MAX_VALUE" minOccurs="0" maxOccurs="1" type="xsd:string"/>
				</xsd:sequence>
				<xsd:attribute name="EID" use="required" type="xsd:ID"/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="COMPARAM_REF">
		<xsd:sequence>
			<xsd:element name="DEFAULT_VALUE" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="MIN_VALUE" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="MAX_VALUE" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="COMPARAM" minOccurs="1" maxOccurs="1">
				<xsd:complexType>
					<xsd:attribute name="IDREF" type="xsd:IDREF" />
				</xsd:complexType>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:simpleType name="ComParamClassType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="undefined"/>
			<xsd:enumeration value="TIMING"/>
			<xsd:enumeration value="INIT"/>
			<xsd:enumeration value="COM"/>
			<xsd:enumeration value="ERRHDL"/>
			<xsd:enumeration value="BUSTYPE"/>
			<xsd:enumeration value="UNIQUE_ID"/>
			<xsd:enumeration value="TESTER_PRESENT"/>
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="ComParamDataType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="undefined"/>
			<xsd:enumeration value="PDU_PT_UNUM8"/>
			<xsd:enumeration value="PDU_PT_SNUM8"/>
			<xsd:enumeration value="PDU_PT_UNUM16"/>
			<xsd:enumeration value="PDU_PT_SNUM16"/>
			<xsd:enumeration value="PDU_PT_UNUM32"/>
			<xsd:enumeration value="PDU_PT_SNUM32"/>
			<xsd:enumeration value="PDU_PT_BYTEFIELD"/>
			<xsd:enumeration value="PDU_PT_STRUCTFIELD"/>
			<xsd:enumeration value="PDU_PT_LONGFIELD"/>
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:complexType name="DLCTYPE">
		<xsd:complexContent>
			<xsd:extension base="PDU_OBJECT">
				<xsd:attribute name="EID" use="required" type="xsd:ID"/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="ERROR_CODE">
		<xsd:sequence>
			<xsd:element name="ID" minOccurs="1" maxOccurs="1" type="xsd:unsignedInt"/>
			<xsd:element name="SHORT_NAME" minOccurs="1" maxOccurs="1" type="NameType"/>
			<xsd:element name="DESCRIPTION" minOccurs="1" maxOccurs="1" type="xsd:string"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="IO_CTRL">
		<xsd:complexContent>
			<xsd:extension base="PDU_OBJECT">
				<xsd:attribute name="EID" use="required" type="xsd:ID"/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:simpleType name="LayerType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="undefined"/>
			<xsd:enumeration value="PHYSICAL"/>
			<xsd:enumeration value="TRANSPORT"/>
			<xsd:enumeration value="APPLICATION"/>
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:complexType name="LIBRARY_FILE">
		<xsd:attribute name="URI" use="required" type="xsd:anyURI"/>
	</xsd:complexType>
	<xsd:complexType name="MAPPING">
		<xsd:sequence>
			<xsd:element name="PIN_ON_DLC" minOccurs="1" maxOccurs="1" type="xsd:unsignedInt"/>
			<xsd:element name="PIN_ON_MODULE" minOccurs="1" maxOccurs="1" type="xsd:unsignedInt"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="MODULE_DESCRIPTION_FILE">
		<xsd:attribute name="URI" use="required" type="xsd:anyURI"/>
	</xsd:complexType>
	<xsd:complexType name="MODULETYPE">
		<xsd:complexContent>
			<xsd:extension base="PDU_OBJECT">
				<xsd:sequence>
					<xsd:element name="RESOURCE_CONFLICT_GROUP" minOccurs="0" maxOccurs="unbounded" type="RESOURCE_CONFLICT_GROUP"/>
					<xsd:element name="IO_CTRL" minOccurs="0" maxOccurs="unbounded">
						<xsd:complexType>
							<xsd:attribute name="IDREF" type="xsd:IDREF" />
						</xsd:complexType>
					</xsd:element>
					<xsd:element name="RESOURCE" minOccurs="1" maxOccurs="unbounded">
						<xsd:complexType>
							<xsd:attribute name="IDREF" type="xsd:IDREF" />
						</xsd:complexType>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="MVCI_CABLE_DESCRIPTION">
		<xsd:sequence>
			<xsd:element name="DESCRIPTION" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="SUPPLIER_NAME" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="DLCTYPE" minOccurs="1" maxOccurs="unbounded" type="DLCTYPE"/>
			<xsd:element name="CABLE" minOccurs="1" maxOccurs="unbounded" type="CABLE"/>
		</xsd:sequence>
		<xsd:attribute name="MVCI_PART2_STANDARD_VERSION" use="required" type="xsd:string" fixed="2.2.0"/>
		<xsd:attribute name="FILE_VERSION" use="required" type="xsd:string"/>
	</xsd:complexType>
	<xsd:element name="MVCI_CABLE_DESCRIPTION" type="MVCI_CABLE_DESCRIPTION"/>
	<xsd:complexType name="MVCI_MODULE_DESCRIPTION">
		<xsd:sequence>
			<xsd:element name="DESCRIPTION" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="SUPPLIER_NAME" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="PINTYPE" minOccurs="0" maxOccurs="unbounded" type="PINTYPE"/>
			<xsd:element name="MODULETYPE" minOccurs="0" maxOccurs="unbounded" type="MODULETYPE"/>
			<xsd:element name="RESOURCE" minOccurs="0" maxOccurs="unbounded" type="RESOURCE"/>
			<xsd:element name="PROTOCOL" minOccurs="0" maxOccurs="unbounded" type="PROTOCOL"/>
			<xsd:element name="BUSTYPE" minOccurs="0" maxOccurs="unbounded" type="BUSTYPE"/>
			<xsd:element name="IO_CTRL" minOccurs="0" maxOccurs="unbounded" type="IO_CTRL"/>
			<xsd:element name="COMPARAM" minOccurs="0" maxOccurs="unbounded" type="COMPARAM"/>
			<xsd:element name="ERROR_CODE" minOccurs="0" maxOccurs="unbounded" type="ERROR_CODE"/>
		</xsd:sequence>
		<xsd:attribute name="MVCI_PART2_STANDARD_VERSION" use="required" type="xsd:string" fixed="2.2.0"/>
		<xsd:attribute name="FILE_VERSION" use="required" type="xsd:string"/>
	</xsd:complexType>
	<xsd:element name="MVCI_MODULE_DESCRIPTION" type="MVCI_MODULE_DESCRIPTION"/>
	<xsd:complexType name="MVCI_PDU_API">
		<xsd:sequence>
			<xsd:element name="SHORT_NAME" minOccurs="1" maxOccurs="1" type="NameType"/>
			<xsd:element name="DESCRIPTION" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="SUPPLIER_NAME" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="LIBRARY_FILE" minOccurs="1" maxOccurs="1" type="LIBRARY_FILE"/>
			<xsd:element name="MODULE_DESCRIPTION_FILE" minOccurs="1" maxOccurs="1" type="MODULE_DESCRIPTION_FILE"/>
			<xsd:element name="CABLE_DESCRIPTION_FILE" minOccurs="1" maxOccurs="1" type="CABLE_DESCRIPTION_FILE"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="MVCI_PDU_API_ROOT">
		<xsd:sequence>
			<xsd:element name="MVCI_PDU_API" minOccurs="0" maxOccurs="unbounded" type="MVCI_PDU_API"/>
		</xsd:sequence>
		<xsd:attribute name="MVCI_PART2_STANDARD_VERSION" use="required" type="xsd:string" fixed="2.2.0"/>
	</xsd:complexType>
	<xsd:element name="MVCI_PDU_API_ROOT" type="MVCI_PDU_API_ROOT"/>
	<xsd:simpleType name="NameType">
		<xsd:restriction base="xsd:string">
			<xsd:pattern value="[0-9a-zA-Z_]*"/>
			<xsd:maxLength value="128"/>
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:complexType name="PDU_OBJECT">
		<xsd:sequence>
			<xsd:element name="ID" minOccurs="1" maxOccurs="1" type="xsd:unsignedInt"/>
			<xsd:element name="SHORT_NAME" minOccurs="1" maxOccurs="1" type="NameType"/>
			<xsd:element name="DESCRIPTION" minOccurs="0" maxOccurs="1" type="xsd:string"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="PIN_ON_MODULE">
		<xsd:sequence>
			<xsd:element name="PIN_ON_MODULE" minOccurs="1" maxOccurs="1" type="xsd:unsignedInt"/>
			<xsd:element name="PINTYPE" minOccurs="1" maxOccurs="1">
				<xsd:complexType>
					<xsd:attribute name="IDREF" type="xsd:IDREF" />
				</xsd:complexType>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="PINTYPE">
		<xsd:complexContent>
			<xsd:extension base="PDU_OBJECT">
				<xsd:attribute name="EID" use="required" type="xsd:ID"/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="PROTOCOL">
		<xsd:complexContent>
			<xsd:extension base="PDU_OBJECT">
				<xsd:sequence>
					<xsd:element name="COMPARAM_REF" minOccurs="0" maxOccurs="unbounded" type="COMPARAM_REF"/>
				</xsd:sequence>
				<xsd:attribute name="EID" use="required" type="xsd:ID"/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="RESOURCE">
		<xsd:complexContent>
			<xsd:extension base="PDU_OBJECT">
				<xsd:sequence>
					<xsd:element name="PIN_ON_MODULE" minOccurs="1" maxOccurs="unbounded" type="PIN_ON_MODULE"/>
					<xsd:element name="BUSTYPE" minOccurs="1" maxOccurs="1">
						<xsd:complexType>
							<xsd:attribute name="IDREF" type="xsd:IDREF" />
						</xsd:complexType>
					</xsd:element>
					<xsd:element name="PROTOCOL" minOccurs="1" maxOccurs="1">
						<xsd:complexType>
							<xsd:attribute name="IDREF" type="xsd:IDREF" />
						</xsd:complexType>
					</xsd:element>
				</xsd:sequence>
				<xsd:attribute name="EID" use="required" type="xsd:ID"/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="RESOURCE_CONFLICT_GROUP">
		<xsd:sequence>
			<xsd:element name="DESCRIPTION" minOccurs="0" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="RESOURCE" minOccurs="1" maxOccurs="unbounded">
				<xsd:complexType>
					<xsd:attribute name="IDREF" type="xsd:IDREF" />
				</xsd:complexType>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>